%define aurox_ver 9.3
%define rel 1

%define desktop_vendor aurox

######################################################################
Summary: GUI for a Network Neighborhood in LINUX
Name: LinNeighborhood
Version: 0.6.5
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
URL: http://www.bnro.de/~schmidjo/
Group: Applications/System
Requires: gtk+ >= 1.2.0 gettext
BuildRequires: gtk+-devel
BuildRequires: samba-common >= 3.0.0
Source: http://www.bnro.de/~schmidjo/download/%{name}-%{version}.tar.gz
Source1: LinNeighborhood.desktop
Patch: LinNeighborhood-0.6.5-smb3.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

######################################################################
%description
This application gives you a GUI similar to the Win9x/NT network neighborhood.
It makes you able to browse entire networks and mount shares.
At least Samba (http://www.samba.org) is required with smbmount/smbumount/smbmnt.
Or Samba without smbmount/smbumount/smbmnt but with smbfs installed.
Please read the README and CONFIGURATION in /usr/doc/LinNeighborhood-<version>.

######################################################################
%prep
%setup -q
%patch -p1 -b .smb3

######################################################################
%build
%configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

######################################################################
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 LinNeighborhood.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/

#echo "Comment[pl]=" >> %{buildroot}%{_datadir}/applications/kde/%{name}.desktop
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Aurox-Extra                  \
  --add-category Application                    \
  --add-category System    		        \
  %{SOURCE1}

######################################################################

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

######################################################################
%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS BUGS ChangeLog CONFIGURATION COPYING INSTALL NEWS README TODO THANKS LinNeighborhood.lsm

%{_bindir}/LinNeighborhood
%{_datadir}/pixmaps/LinNeighborhood.xpm
%{_datadir}/icons/LinNeighborhood.xpm
%{_datadir}/applications/%{desktop_vendor}-LinNeighborhood.desktop


#####################################################################
%changelog
* Fri Jan 30 2004 Aurox Team <aurox@aurox.org> 0:0.6.5-9.3.aur.1
- add fixed desktop file with Polish comment
- spec cleanup
- add patch to support samba 3.0
- Now should be OK
- Another fix
- Filenames fixed
- Initial build for Aurox 9.2

* Sun Jan 7 2001 Richard Torkar <ds98rito@thn.htu.se>
- Updated to 0.6.2
- Added language support for pt_BR and es

* Wed Jan 3 2001 Richard Torkar <ds98rito@thn.htu.se>
- Removed LinNeighbor from /etc/X11/wmconfig/
- Stripped the binary
- Added Vendor and Distribution tag

* Fri Sep 1 2000 Richard Torkar <ds98rito@thn.htu.se>
- Built 0.6.1 and added russian language support

* Fri Jul 14 2000 Richard Torkar <ds98rito@thn.htu.se>
- Rebuilt with KDE support. Thanx to Gregoire Barbier <barbier@sycomore.fr>

* Wed Jun 21 2000 Richard Torkar <ds98rito@thn.htu.se>
- Built stable 0.6.0 and added ja, fr & sv to locale

* Sat Jun 1 2000 Richard Torkar <ds98rito@thn.htu.se>
- Built the new pre1 version and started including locale

* Wed Mar 15 2000 Richard Torkar <ds98rito@thn.htu.se>
- Changed to new version and added it to the gnome menu

